// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "Dial Application.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChildView

CChildView::CChildView()
{
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView,CWnd )
	//{{AFX_MSG_MAP(CChildView)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), HBRUSH(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	CRect rect, rect1;
	HPEN  hPenA;
	HICON m_hIcon;

	GetClientRect(&rect);
	m_hIcon = AfxGetApp()->LoadIcon(IDI_ICONDIALER);

	// draw a red rectangle
	hPenA = CreatePen(PS_SOLID, 2, RGB(250,0,100));
	dc.SelectObject(hPenA);	

	dc.Rectangle(&rect);

	dc.DrawIcon(rect.left+5,rect.top+5,m_hIcon);
	dc.DrawIcon(rect.left+5,rect.bottom-35,m_hIcon);
	dc.DrawIcon(rect.right-35,rect.top+5,m_hIcon);
	dc.DrawIcon(rect.right-35,rect.bottom-35,m_hIcon);

	int cx = rect.left + ((rect.right-30 - rect.left)/2);
	int cy = rect.top + ((rect.bottom-30 - rect.top)/2);
	rect1.left = cx - 25;
	rect1.top =cy - 25;
	rect1.right = rect1.left + 50;
	rect1.bottom =rect1.top + 50;
	
	// draw a red rectangle
	hPenA = CreatePen(PS_SOLID, 2, RGB(100,250,100));
	dc.SelectObject(hPenA);	

	dc.Rectangle(&rect1);

	dc.DrawIcon(rect1.left+10,rect1.top+10,m_hIcon);
}

