// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__3516C31C_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_)
#define AFX_MAINFRM_H__3516C31C_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"
#include "mscomm.h"

#define ID_MSCOMM 2001  // Ctrl ID for MSComm control
#define ID_TIMER  2002  // Timer Unit

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CChildView  m_wndView;
	CMSComm     m_mscomm;
	UINT        m_uTimerID;  

	// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnDialinfoCommunicationinfo();
	afx_msg void OnDialinfoMonthcalendar();
	afx_msg void OnDialinfoSettingdialerinfo();
	afx_msg void OnDialoperationDialnumbercall();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
//	afx_msg void OnCommEvent();

//	DECLARE_EVENTSINK_MAP()
	DECLARE_MESSAGE_MAP()
public:
	CMSComm* GetMSComm(){return &m_mscomm;}
//	void DoEvents();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__3516C31C_5B4A_11D6_9EE5_944B445D8E41__INCLUDED_)
